<?php

/**
 * FAQ Class
 * Need PHP 5.x
 */
class Faq {
	
	/**
	 * Class members
	 */
	public $faqs		=	array();	//	The questions and answers
	
	
	// Questions settins
	public $faqQuestionsList			=	'ol';		// false OR (ul or ol)
	public $faqQuestionsAnswerAnchor	=	true;		// true or false		//	Link-Anchor from questions to answers
	
	
	// Answers settings
	public $faqAnswerList				=	'ul';		//	false OR (ul or ol)
	public $faqAnswerTopLink			=	true;		//	true or false		//	"Top" link on every answer
	
	
	/**
	 * Load a FAQ file to list
	 * 
	 * @access	public
	 * @param	string
	 * @return	array()
	 * 
	 * @author	Liviu
	 * @since 	Apr 25, 2008
	 */
	public function loadFaqFromFile($file) {
		if(is_file($file)) {
			$this->faqs = @parse_ini_file($file);
		} else {
			print 'Inexistent FAQ file!';
		}
	}
	
	
	/**
	 * Add new quenstion and answer
	 * 
	 * @access	public
	 * @param	string
	 * @param	string
	 * @return	array()
	 * 
	 * @author	Liviu
	 * @since 	Apr 25, 2008
	 */
	private function addFaq($question, $answer) {
		
	}
	
	
	/**
	 * List the FAQ
	 * 
	 * @access	public
	 * @return	string
	 * 
	 * @author	Liviu
	 * @since 	Apr 25, 2008
	 */
	public function listFaq() {
		
		
		if($this->faqQuestionsAnswerAnchor == true) {
			$questionAnchorStart	=	'<a href="'. $_SERVER['REQUEST_URI'] .'#';
			$questionAnchorEnd		=	'">';
			$answerAnchorStart		=	'<a name="';
			$answerAnchorEnd		=	'">';
			$anchorEnd				=	'</a>';
		}
		
		### PRINT QUESTIONS ####################################################
		echo ($this->faqQuestionsList !== false) ? '<'. $this->faqQuestionsList .">\n" : false;
		foreach($this->faqs as $faqQuestion => $faqAnswer) {
			($this->faqQuestionsAnswerAnchor) ? $anchorCode = substr(md5($faqQuestion), 0,5) : false;
			
			echo "\t<li>{$questionAnchorStart}{$anchorCode}{$questionAnchorEnd}{$faqQuestion}{$anchorEnd}</li>\n";
		}
		echo ($this->faqQuestionsList !== false) ? '</'. $this->faqQuestionsList .">\n\n" : false;
		
		
		### PRINT ANSWERS ######################################################
		echo ($this->faqAnswerList !== false) ? '<'. $this->faqAnswerList .">\n" : false;
		foreach($this->faqs as $faqQuestion => $faqAnswer) {
			($this->faqQuestionsAnswerAnchor) ? $anchorCode = substr(md5($faqQuestion), 0,5) : false;
			echo "\t<li>{$answerAnchorStart}{$anchorCode}{$answerAnchorEnd}{$faqAnswer}{$anchorEnd}</li>\n";
		}		
		echo ($this->faqAnswerList !== false) ? '</'. $this->faqAnswerList .">\n\n" : false;

	}
}
?>