<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Check if user is logged
if(!is_numeric($_SESSION['userId'])) {
	header("Location: ". SERVER_ROOT ."");
	exit();
}

// Collect data from get
$taskId	= $_GET['taskId'];

// Check if project id is numeric
if(!is_numeric($taskId)) {
	$_SESSION['errors'][] = "Task don't exists!";
	header("Location: ". SERVER_ROOT ."/projects/projects.php");
	exit();
}

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin or highter
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

// Get project by id from DB
$tasks = $delegate->getTasks(array("id" => $taskId));

// Check if project exists in DB
if(!is_array($tasks)) {
	$_SESSION['errors'][] = "Task don't exists!";
	header("Location: ". SERVER_ROOT ."/projects/projects.php");
	exit();	
}

foreach($tasks as $taskKey => $task);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>    
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Edit task</title>
        <link type="image/x-icon"  rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico"/>
        <link type="text/css" rel="stylesheet" href="<?=SERVER_ROOT?>/assets/css/pontaj.css" />
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>                
    </head>
	<body>
		<?php
			define('SECTION', 'projects');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
		?>
         
        <div class="page_title">Edit task</div>        
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="POST" name="editTaskForm">
             <table cellpadding="0" cellspacing="3" class="form_style" style="border-style:none;">
                <tr>
                    <th><label for="taskName">Task name</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input type="text" name="taskName" id="taskName" value="<?=$task->name?>"></td>
                </tr>
                
                <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right">
                        <input type="hidden" name="action" value="doEditTaskExe">
                        <input type="hidden" name="taskId" value="<?=$task->id?>">
                        <a href="<?=SERVER_ROOT?>/common/controller.php?action=goToProjects" class="cancel_action">Cancel</a>
                        &nbsp;
                        <input type="submit" class="submit_button" style="width:150px;" value="Save changes">
                        
                    </td>
               </tr>
               
               <tr>
                  <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
               </tr>
            </table>
        </form>
        
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
    </body>
</html>