<?php
include_once('../common/delegate.php');
// Start the session
session_start();

// Make new Delegate instance
$delegate = new Delegate();

// Load user as object, from SQL by id
$loggedUser = $delegate->getUserById($_SESSION['userId']);

// Check if logged user is admin
if($loggedUser->level < USER_LEVEL_ADMIN) {
	header("Location: ". SERVER_ROOT ."/daily/daily.php");
	exit();
}

$users = $delegate->getUsers(array('__order' => 'user_name ASC'));

if(is_object($_SESSION['newUser'])) {
	$newUser = $_SESSION['newUser'];
	unset($_SESSION['newUser']);	
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Users</title>
        <link rel="shortcut icon" href="<?=SERVER_ROOT?>/pontaj.ico" type="image/x-icon" />
        <link href="<?=SERVER_ROOT?>/assets/css/pontaj.css" rel="stylesheet" type="text/css" />        
        <script type="text/javascript" src="<?=SERVER_ROOT?>/assets/javascript/general.js"></script>        
    </head>
    
    <body>
		<?php
			define('SECTION', 'users');
			include_once("../common/header.php");
			include_once("../common/mainbar.php");
			print showErrorAndMessagesLogs();
?>
        <div class="page_title">Add new user</div> 
        <form action="<?=SERVER_ROOT?>/common/controller.php" method="POST" name="addUserForm" style="display:inline">
            <table cellpadding="0" cellspacing="3" class="form_style">
                <tr>
                    <th><label for="userEmail">User email</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input style="width:209px;" type="text" name="userEmail" id="userEmail" value="<?=$newUser->email?>"></td>
                </tr>
                
                <tr>
                    <th><label for="userName">User name</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input style="width:209px;" type="text" name="userName" id="userName" value="<?=$newUser->name?>"></td>
                </tr>
                
                <tr>
                    <th><label for="userPassword">User password</label></th>
                    <td>(<span class="required_field" title="Mandatory field">*</span>)</td>
                    <td><input style="width:209px;" type="text" name="userPassword" id="userPassword" value="<?=$newUser->password?>"></td>
                </tr>
                
                <tr>
                    <th><label for="isAdmin">Administrator rights</label></th>
                    <td>&nbsp;</td>
                    <td><input type="checkbox" id="isAdmin" name="isAdmin" <?=($newUser->level == USER_LEVEL_ADMIN) ? "checked=\"checked\"" : "" ?> /></td>
                </tr>
            
               <tr>
                    <th>&nbsp;</th>
                    <td>&nbsp;</td>
                    <td align="right">
                        
                        <input type="hidden" name="action" value="addUserExe">
                        <!--<input type="submit" class="submit_button" style="width:150px;" value="Add user">-->
                        <button type="submit" class="submit_button" style="width:100px;cursor:pointer"><img src="<?=SERVER_ROOT?>/assets/images/icons/user_add.gif" style="vertical-align:middle;" /> &nbsp;Add user</button>       
                    </td>
               </tr>
               
               <tr>
                   <td class="required_field_info"><span class="required_field" title="Mandatory field">*</span>&nbsp;mandatory field</td>
              </tr>
               
            </table>
        </form>
        
            <br/>
            <hr/>
<?
		if(is_array($users)) { ?>
            <!-- max number of users for current mounth-->
            <div class="page_title">Users</div>        
            <table cellpadding="7" cellspacing="0" class="list_something"> 
                <tr>
                   <th>#</th>
                   <th>Name</th>
                   <th>Email</th>
                   <th>Status</th>
                   <!-- <th>Is Admin?</th> -->
                   <th colspan="3">Actions</th>
                </tr>   

                <? foreach($users as $userKey => $user) { ?>
                    <tr>
                        <td><?=$userKey+1?></td>
                        <td><?=$user->name?></td>
                        <td><?=$user->email?></td>
                        <td><?
                        if($user->status == USER_STATUS_INACTIVE) {
                        	?><img src="<?=SERVER_ROOT?>/assets/images/icons/user_inactive.gif" class="disabled" border="0" alt="Inactive" title="Inactive" /><?
                        } elseif($user->level >= USER_LEVEL_ADMIN) {
							?><img src="<?=SERVER_ROOT?>/assets/images/icons/user_root.gif" border="0" alt="Administrator" title="Administrator" /><?                        	
                        } else {
                        	?><img src="<?=SERVER_ROOT?>/assets/images/icons/user_active.gif" border="0" alt="Active" title="Active" /><?
                        }
                        ?></td>
                        <!-- <td><?=($user->level >= USER_LEVEL_ADMIN) ? "yes" : "no" ?></td> -->
                        <?
                        	// 1. an admin is not able to delete himself
	                        // 2. company creator can not be deleted by any admin of the company (?)
        	                if( ($user->id == $loggedUser->id) OR ($user->level >= USER_LEVEL_ADMIN AND $loggedUser->level < USER_LEVEL_SUPERADMIN) ) { ?>
            	                <!--<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_edit.gif" border="0" /></td>-->
                	            <td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_edit.gif" class="disabled" border="0" alt="Edit" title="Edit" /></td>
                    	        <td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_delete.gif" class="disabled" border="0" alt="Delete" title="Delete" /></td>                
                        <?	} else { ?>
                            	<!--<td><a href="<?=SERVER_ROOT?>/common/controller.php?action=doChangeUserStatusExe&amp;userId=<?=$user->id?>">
                            	<?php
                            		if($user->status == USER_STATUS_ACTIVE) { ?>
                            			
                            	<?	} else { ?>
                            			
                            	<?	} ?> 
                            	</a></td>-->
                            	<td><a href="<?=SERVER_ROOT?>/common/controller.php?action=goToEditUser&amp;userId=<?=$user->id?>"><img src="<?=SERVER_ROOT?>/assets/images/icons/user_edit.gif" border="0" alt="Edit" title="Edit" /></a></td>
                            	<td><a onclick="javascript:return confirm('Are you sure you want to delete this employee?\nAll entries from this employee will also be deleted!');" href="<?=SERVER_ROOT?>/common/controller.php?action=doDeleteUserExe&amp;userId=<?=$user->id?>"><img src="<?=SERVER_ROOT?>/assets/images/icons/user_delete.gif" border="0" alt="Delete" title="Delete" /></a></td>                
                        <? } ?>
                    </tr>            
                <?	}	?>
            </table>
            
            <br /><br />
            
            <table cellpadding="7" cellspacing="0" class="list_something">
				<tr>
					<th colspan="2">Legend</th>
				</tr>
				
            	<tr>
            		<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_active.gif" /></td>
            		<td align="left">active user</td>
            	</tr>

            	<tr>
            		<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_inactive.gif" /></td>
            		<td align="left">inactive user</td>
            	</tr>
            	
            	<tr>
            		<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_root.gif" /></td>
            		<td align="left">administrator rights</td>
            	</tr>
            	
            	<tr>
            		<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_edit.gif" /></td>
            		<td align="left">edit user</td>
            	</tr>

            	<tr>
            		<td><img src="<?=SERVER_ROOT?>/assets/images/icons/user_delete.gif" /></td>
            		<td align="left">delete user</td>
            	</tr>
            </table>
        <? } ?>
        
		<!-- FOOTER -->
        <?include_once("../common/footer.php");?>
        
    </body>
</html>